Subject: RE: bug#19298: 25.0.50; `set-frame-font': non-nil FRAMES argument

From: Drew Adams <[email-masked]>
Date: Tue, 13 Jul 2021 21:50:49 +0000

> > > Hard to believe that there is no simple way to change the font of a
> > > frame and NOT ALSO change custom settings without selecting that frame.
> > >
> > > Why does that design make sense?
> >
> > I can see how it makes sense from a "where on earth do I stash this
> > setting, then?" implementation point, but from a user interface point it
> > seems very odd indeed.
> 
> And I'm asking why in the world would some Lisp change the default
> font of several frames, except if the user wanted that customized??
> Will you Lisp programmers please keep your hands off my fonts?!

Not all Lisp code is used behind a user's back against
her will.  A user can want to use a command that does
exactly that.  If so, that's the user's choice.